Source: libvlc-qt
Priority: extra
Maintainer: Tadej Novak <tadej@tano.si>
Build-Depends: debhelper (>= 9),
                            cmake (>=3.0.2),
                            qtbase5-dev (>=5.2.0),
                            qtdeclarative5-dev (>=5.2.0),
                            qtdeclarative5-dev-tools (>=5.2.0),
                            libvlc-dev (>=2.0.0),
                            libvlccore-dev (>=2.0.0),
                            libx11-dev
Standards-Version: 4.6.2
Section: libs
Homepage: http://projects.tano.si

Package: libvlc-qt-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
                  ${misc:Depends},
                  libvlc-qt-core2 (= ${binary:Version}),
                  libvlc-qt-qml2 (= ${binary:Version}),
                  libvlc-qt-widgets2 (= ${binary:Version})
Description: VLC-Qt - Qt and libvlc connector library [devel]
 VLC-Qt is a free library used to connect Qt and libvlc libraries.
 It contains core classes for main media playback and also some GUI
 classes for faster media player developement.
 .
 This package contains development files for building software that
 uses the libvlc-qt-core2, libvlc-qt-qml2 and libvlc-qt-widgets2 libraries.

Package: libvlc-qt-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${shlibs:Depends},
                  ${misc:Depends},
                  libvlc-qt-core2 (= ${binary:Version}),
                  libvlc-qt-qml2 (= ${binary:Version}),
                  libvlc-qt-widgets2 (= ${binary:Version})
Replaces: libvlc-qt1-dbg
Description: VLC-Qt - Qt and libvlc connector library [debug]
 VLC-Qt is a free library used to connect Qt and libvlc libraries.
 It contains core classes for main media playback and also some GUI
 classes for faster media player developement.
 .
 This package contains debugging files used to investigate problems
 with binaries included in the libvlc-qt-core2, libvlc-qt-qml2 and
 libvlc-qt-widgets2 packages.

Package: libvlc-qt-core2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
                  ${misc:Depends},
                  libqt5core5a (>=5.2.0),
                  libqt5gui5 (>=5.2.0),
                  vlc (>=2.0.0)
Description: VLC-Qt - Qt and libvlc connector library
 VLC-Qt is a free library used to connect Qt and libvlc libraries.
 It contains core classes for main media playback and also some GUI
 classes for faster media player developement.
 .
 This package contains core classes for main media playback.

Package: libvlc-qt-qml2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvlc-qt-core2 (= ${binary:Version}), libqt5quick5 (>=5.2.0)
Description: VLC-Qt - Qt and libvlc connector library
 VLC-Qt is a free library used to connect Qt and libvlc libraries.
 It contains core classes for main media playback and also some GUI
 classes for faster media player developement.
 .
 This package contains some QML classes for controlling video and media playback.

Package: libvlc-qt-widgets2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
                  ${misc:Depends},
                  libvlc-qt-core2 (= ${binary:Version}),
                  libqt5widgets5 (>=5.2.0)
Description: VLC-Qt - Qt and libvlc connector library
 VLC-Qt is a free library used to connect Qt and libvlc libraries.
 It contains core classes for main media playback and also some GUI
 classes for faster media player developement.
 .
 This package contains some widget classes for faster media player developement.
